using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class TblApplicationTypeAddValues : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("32c28386-6f13-4f7b-8508-be165b7fabdb"),
                column: "Description",
                value: "Сервер приложений");

            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("7848a96c-cdee-48c1-a786-de9cb889723a"),
                column: "Description",
                value: "ОС");

            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("aae2636f-b93a-42dc-873e-0764a90a0a40"),
                column: "Description",
                value: "СУБД");

            migrationBuilder.InsertData(
                table: "ApplicationTypes",
                columns: new[] { "Id", "DateCreated", "DateModified", "Description", "Name" },
                values: new object[,]
                {
                    { new Guid("0bd96f9b-d36b-4dfb-bd8a-9c356bc6912b"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "ИБ", "IB" },
                    { new Guid("4466148b-510d-4423-a58f-ce878152ff01"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Инфраструктура", "SI" },
                    { new Guid("725a96db-358e-489b-a7c9-a84b06ec15df"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "Мониторинг", "SM" },
                    { new Guid("749f4c34-b883-4f28-90dd-c161dd3c4270"), new DateTimeOffset(new DateTime(2023, 5, 1, 0, 0, 0, 0, DateTimeKind.Unspecified), new TimeSpan(0, 0, 0, 0, 0)), null, "ЦК БС", "CKBS" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("0bd96f9b-d36b-4dfb-bd8a-9c356bc6912b"));

            migrationBuilder.DeleteData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("4466148b-510d-4423-a58f-ce878152ff01"));

            migrationBuilder.DeleteData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("725a96db-358e-489b-a7c9-a84b06ec15df"));

            migrationBuilder.DeleteData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("749f4c34-b883-4f28-90dd-c161dd3c4270"));

            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("32c28386-6f13-4f7b-8508-be165b7fabdb"),
                column: "Description",
                value: "Поле СП xml АИХ ИТ");

            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("7848a96c-cdee-48c1-a786-de9cb889723a"),
                column: "Description",
                value: "Поле ОС xml АИХ ИТ");

            migrationBuilder.UpdateData(
                table: "ApplicationTypes",
                keyColumn: "Id",
                keyValue: new Guid("aae2636f-b93a-42dc-873e-0764a90a0a40"),
                column: "Description",
                value: "Поле СУБД xml АИХ ИТ");
        }
    }
}
